0.4 z1952 won't compile on Arch

Help test release candidates for the next release
Post Reply
User avatar
catlover
On Lightcycle Grid
Posts: 20
Joined: Wed Jul 06, 2011 9:29 pm

0.4 z1952 won't compile on Arch

Post by catlover »

./configure doesn't complain, but make outputs this:

Code: Select all

g++   -I./tools -I./resource -I./thirdparty/mathexpr -I./thirdparty/utf8 -I./protobuf -Iprotobuf  -I./render -I./ui -I./thirdparty/shttpd -I./thirdparty/scrap     -I./network -I./engine -I./engine/sound -I./thirdparty/particles -I./tron -I./tron/cockpit -O2   -o armagetronad_main armagetronad_main-gFloor.o armagetronad_main-cCockpit.o armagetronad_main-cMap.o armagetronad_main-cCamview.o armagetronad_main-zFortress.o libtron.a libenginecore.a libengine.a libnetwork.a libui.a librender.a libtools.a protobuf/libprotobuf.a thirdparty/mathexpr/libmathexpr.a thirdparty/particles/libparticles.a thirdparty/scrap/libscrap.a -lpthread -lSDL_image -lGLEW -lGLU -lGL -lSDL_mixer -L/usr/lib -lSDL -lpthread -lm -lrt -lprotobuf -lboost_thread -lxml2 -lz -lm   -lftgl   -lfreetype -lz -lbz2 -lpng14                     
/usr/bin/ld: thirdparty/scrap/libscrap.a(libscrap_a-scrap.o): undefined reference to symbol 'XConvertSelection'                                                                                                                                                                
/usr/bin/ld: note: 'XConvertSelection' is defined in DSO /usr/lib/libX11.so.6 so try adding it to the linker command line                                                                                                                                                      
/usr/lib/libX11.so.6: could not read symbols: Invalid operation                                                                                                                                                                                                                
collect2: ld returned 1 exit status                                                                                                                                                                                                                                            
make[3]: *** [armagetronad_main] Error 1                                                                                                                                                                                                                                       
make[3]: Leaving directory `/home/catlover/Desktop/armagetronad-experimental-0.4_alpha_z1952/src'                                                                                                                                                                                  
make[2]: *** [all-recursive] Error 1                                                                                                                                                                                                                                           
make[2]: Leaving directory `/home/catlover/Desktop/armagetronad-experimental-0.4_alpha_z1952/src'                                                                                                                                                                                  
make[1]: *** [all-recursive] Error 1                                                                                                                                                                                                                                           
make[1]: Leaving directory `/home/catlover/Desktop/armagetronad-experimental-0.4_alpha_z1952'                                                                                                                                                                                      
make: *** [all] Error 2                                                         
I tried z1944 as well, same thing.

epsy
Adjust Outside Corner Grinder
Posts: 2006
Joined: Tue Nov 07, 2006 6:02 pm
Location: paris
Contact:

Re: 0.4 z1952 won't compile on Arch

Post by epsy »

Re-install libx11, and start a clean compile:

Code: Select all

pacman -S libx11
make clear all
Any more info on your setup? is your libX11 from the official repos or did you downgrade it because of catalyst? (If so, you can update now)

epsy
Adjust Outside Corner Grinder
Posts: 2006
Joined: Tue Nov 07, 2006 6:02 pm
Location: paris
Contact:

Re: 0.4 z1952 won't compile on Arch

Post by epsy »

Alright, I got it too. A temporary workaround is to use ./configure like this:

Code: Select all

LIBS=-lX11 ./configure

User avatar
catlover
On Lightcycle Grid
Posts: 20
Joined: Wed Jul 06, 2011 9:29 pm

Re: 0.4 z1952 won't compile on Arch

Post by catlover »

Code: Select all

LIBS=-lX11 ./configure
That worked, I'll remember that.

I didn't downgrade libX11 to my knowledge, but I am using Catalyst.

Post Reply